Subject: Re: bug#51205: 26.3; useful packages auto-removed

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 12 Sep 2022 14:35:37 +0200

Guillaume MULLER <[email-masked]> writes:

> - When I hit "M-x package-autoremove" , some of the packages I use on an
>   every day basis got removed automatically.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

That command removes packages that were not installed explicitly, but
were installed as a dependency for package(s) that you've later removed.

> I don't know what are the criteria used to detect a package is not used
> anymore, but clearly some of my packages got removed abusively. 

"Not used" is not the criterion.

Did that command remove anything that you hadn't installed explicitly?
I tested the command here, but it seems like it's working as designed
for me.

If you see a bug here, do you have a recipe to reproduce it, starting
from "emacs -Q"?